Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Undeploy a database or application ingestion and replication job

Undeploy a database or application ingestion and replication job

Use the undeploy action of the job resource to undeploy a
database ingestion and replication
job or
application ingestion and replication
job. Before you undeploy a job, ensure that it is not running and the status is Aborted, Completed, Deployed, Failed, or Stopped .

POST request

Use the following POST request to undeploy a job.
POST /dbmi/public/api/v2/job/undeploy
Include the following attribute in the request body:
Field
Type
Description
jobId
integer
The ID of the job that you want to undeploy.

Request body

Use the following request body to pass the job ID to the resource:
{ "jobId": "<jobId>" }

Success response

A successful response returns a Success status which indicates that the job is accepted for undeployment.
{ "status": "Success", "code": 202, "message": "Job with org id 2HimcQ9cXW5kLUCOUkXGi8 and job name zendeskToSlfk-UserA-test_8 has been accepted to undeploy successfully." }
The undeploy job API processes requests asynchronously. To verify whether the job undeployed successfully, query the Get Job Status API with the job ID. For more information, see Get Job Status API.

Failed responses

If the request fails, the API returns one of the following HTTP error codes:
HTTP status code
Error code
Error message
400
CDIR_VALIDATION_MISSING_FIELD
Required parameter {field} is missing.
400
CDIR_VALIDATION_ INVALID_VALUE
Value for {field} is invalid.
401
CDIR_AUTH_UNAUTHORIZED
Authentication failed. Access token is missing or expired.
403
CDIR_AUTHZ_FORBIDDEN
You do not have the required permissions for this request.
404
CDIR_JOB_NOT_FOUND
Job {jobId} was not found.
409
CDIR_JOB_ALREADY_RUNNING
Job {jobId} is already running.
409
CDIR_JOB_NOT_DEPLOYED
Deploy the job {jobId} before performing this operation.
500
CDIR_INTERNAL_ERROR
An unexpected internal error occurred with this job.
503
CDIR_SERVICE_UNAVAILABLE
Service is temporarily unavailable.
The following example shows a sample error response when you undeploy a job that is in an undeployed state:
{ "error": { "httpStatus": 409, "code": "CDIR_JOB_NOT_DEPLOYED", "message": "Deploy the job {138514} before performing this operation.", "details": [ { "jobId": "138514" } ], "traceId": "2fa22ed7-6d23-4f35-b209-881fe8ac5fad" } }

0 COMMENTS

We’d like to hear from you!